Assign role for a user in an organization

Assign a role to the user in the organization.

post
Path parameters
organizationIdstringRequired

The id of the organization.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

This class provides the assign user role organization dto.

roleIdstring · min: 1Required

The id of the role to assign.

userIdstring · min: 1Required

The id of the user to assign the role to.

Responses
chevron-right
201

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

databooleanOptional
post
/api/v1/organizations/{organizationId}/assign-role-users

Last updated